E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GSsl::LibraryImpBase Class Referenceabstract

A base interface for GSsl::Library pimple classes. More...

`#include <gssl.h>`

Inheritance diagram for GSsl::LibraryImpBase:

## Public Member Functions
virtual | ~LibraryImpBase ()=default
| Destructor.
virtual std::string | id () const =0
| Implements Library::id().
virtual void | addProfile (const std::string &, bool, const std::string &, const std::string &, const std::string &, const std::string &, const std::string &, const std::string &)=0
| Implements Library::addProfile().
virtual bool | hasProfile (const std::string &profile_name) const =0
| Implements Library::hasProfile().
virtual const Profile & | profile (const std::string &profile_name) const =0
| Implements Library::profile().
virtual G::StringArray | digesters (bool) const =0
| Implements Library::digesters().
virtual Digester | digester (const std::string &, const std::string &, bool) const =0
| Implements Library::digester().
virtual bool | generateKeyAvailable () const =0
| Implements Library::generateKeyAvailable().
virtual std::string | generateKey (const std::string &) const =0
| Implements Library::generateKey().

## Static Public Member Functions
static bool | consume (G::StringArray &list, const std::string &item)
| A convenience function that removes the item from the list and returns true iff is was removed. More...

## Detailed Description

A base interface for GSsl::Library pimple classes.

A common base allows for multiple TLS libraries to be built in and then selected at run-time.

Definition at line 389 of file gssl.h.

## Member Function Documentation

## ◆ consume()

bool GSsl::LibraryImpBase::consume | ( | G::StringArray & | list,
|  | const std::string & | item
| ) |  |
| static

A convenience function that removes the item from the list and returns true iff is was removed.

Definition at line 257 of file gssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl.cpp